com.pixelmed.dicom

## Class HierarchicalImageReference

- java.lang.Object
- - com.pixelmed.dicom.HierarchicalSOPInstanceReference
  - - com.pixelmed.dicom.HierarchicalImageReference

-     public class HierarchicalImageReference
      extends HierarchicalSOPInstanceReference

  A class to represent the study, series and instance identifiers necessary to retrieve a specific single image or frame in a multi-frame image using the hierarchical model.

  Used, for example, when extracting a map of instance uids to hierarchical references from an SR evidence sequence.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `referencedFrameNumber`

    - ### Fields inherited from class com.pixelmed.dicom.HierarchicalSOPInstanceReference

      `seriesInstanceUID, sopClassUID, sopInstanceUID, studyInstanceUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference)` Construct an instance of a reference to an image, with its hierarchy.
    `HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference, java.lang.String referencedFrameNumber)` Construct an instance of a reference to an image, with its hierarchy.
    `HierarchicalImageReference(java.lang.String studyInstanceUID, java.lang.String seriesInstanceUID, java.lang.String sopInstanceUID, java.lang.String sopClassUID)` Construct an instance of a reference to an image, with its hierarchy.
    `HierarchicalImageReference(java.lang.String studyInstanceUID, java.lang.String seriesInstanceUID, java.lang.String sopInstanceUID, java.lang.String sopClassUID, java.lang.String referencedFrameNumber)` Construct an instance of a reference to an image, with its hierarchy.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReferencedFrameNumber()` Get the Referenced Frame Number.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.pixelmed.dicom.HierarchicalSOPInstanceReference

      `addToHierarchicalReferencesToSOPInstances, findHierarchicalReferencesToSOPInstances, findHierarchicalReferencesToSOPInstancesInStructuredReport, getSeriesInstanceUID, getSOPClassUID, getSOPInstanceUID, getStudyInstanceUID, main, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### referencedFrameNumber

          protected java.lang.String referencedFrameNumber

  - ### Constructor Detail

    - #### HierarchicalImageReference

          public HierarchicalImageReference(java.lang.String studyInstanceUID,
                                            java.lang.String seriesInstanceUID,
                                            java.lang.String sopInstanceUID,
                                            java.lang.String sopClassUID)

      Construct an instance of a reference to an image, with its hierarchy.

      Parameters:
        `studyInstanceUID` - the Study Instance UID
        `seriesInstanceUID` - the Series Instance UID
        `sopInstanceUID` - the SOP Instance UID
        `sopClassUID` - the SOP Class UID

    - #### HierarchicalImageReference

          public HierarchicalImageReference(java.lang.String studyInstanceUID,
                                            java.lang.String seriesInstanceUID,
                                            java.lang.String sopInstanceUID,
                                            java.lang.String sopClassUID,
                                            java.lang.String referencedFrameNumber)

      Construct an instance of a reference to an image, with its hierarchy.

      Parameters:
        `studyInstanceUID` - the Study Instance UID
        `seriesInstanceUID` - the Series Instance UID
        `sopInstanceUID` - the SOP Instance UID
        `sopClassUID` - the SOP Class UID
        `referencedFrameNumber` - the Referenced Frame Number

    - #### HierarchicalImageReference

          public HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference,
                                            java.lang.String referencedFrameNumber)

      Construct an instance of a reference to an image, with its hierarchy.

      Parameters:
        `instanceReference` - an existing `HierarchicalSOPInstanceReference` for this image
        `referencedFrameNumber` - the Referenced Frame Number

    - #### HierarchicalImageReference

          public HierarchicalImageReference(HierarchicalSOPInstanceReference instanceReference)

      Construct an instance of a reference to an image, with its hierarchy.

      Parameters:
        `instanceReference` - an existing `HierarchicalSOPInstanceReference` for this image

  - ### Method Detail

    - #### getReferencedFrameNumber

          public java.lang.String getReferencedFrameNumber()

      Get the Referenced Frame Number.

      Returns:
        the Referenced Frame Number, or null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HierarchicalSOPInstanceReference`